@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-campaign-information-panel
            [campaignViewComponentData]="componentData"
            [customFieldData]="customFieldData"
            [milestoneModeTest]="true"
          >
          </sqtm-app-campaign-information-panel>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'planning'"
          [sqtmCoreAnchorCollapsePanel]="'planning'"
          [nzHeader]="planningTitle"
          [nzExtra]="planningIcon"
        >
          <sqtm-app-campaign-view-planning-panel
            sqtmCoreRefreshOnResize
            style="display: block"
            [campaignViewComponentData]="componentData"
          >
          </sqtm-app-campaign-view-planning-panel>
          <ng-template #planningTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.campaign-workspace.title.planning' | translate }}
            </div>
          </ng-template>
          <ng-template #planningIcon>
            @if (
              componentData.permissions.canWrite &&
              componentData.milestonesAllowModification
            ) {
              <i
                class="current-workspace-button action-icon-size"
                nz-icon
                [nzType]="'sqtm-core-campaign:calendar'"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.planning.manage-iteration-dates'
                    | translate
                "
                (click)="openPlanningDialog($event, componentData.campaign.id)"
              ></i>
            }
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'statistics'"
          [sqtmCoreAnchorCollapsePanel]="'statistics'"
          [nzHeader]="statisticsTitle"
          sqtmCoreAnchorLastPanel
        >
          <ng-template #statisticsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.campaign-workspace.label.statistics' | translate }}
            </div>
          </ng-template>
          <sqtm-app-campaign-statistics-panel
            [componentData]="componentData.campaign"
            [projectData]="componentData.projectData"
          >
          </sqtm-app-campaign-statistics-panel>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
